Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class NullIterator

    java.lang.Object
      |
      +--com.caucho.util.NullIterator

public class NullIterator
extends java.lang.Object
implements java.util.ListIterator

A null iterator

Constructor Summary
`NullIterator()`

Method Summary
`void` | `add(java.lang.Object o)`
`static NullIterator` | `create()`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`java.lang.Object` | `next()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullIterator

    public NullIterator()

Method Detail

### create

    public static NullIterator create()

### hasNext

    public boolean hasNext()

  Specified by:
    hasNext in interface java.util.ListIterator

### next

    public java.lang.Object next()

  Specified by:
    next in interface java.util.ListIterator

### nextIndex

    public int nextIndex()

  Specified by:
    nextIndex in interface java.util.ListIterator

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    hasPrevious in interface java.util.ListIterator

### previous

    public java.lang.Object previous()

  Specified by:
    previous in interface java.util.ListIterator

### previousIndex

    public int previousIndex()

  Specified by:
    previousIndex in interface java.util.ListIterator

### add

    public void add(java.lang.Object o)

  Specified by:
    add in interface java.util.ListIterator

### set

    public void set(java.lang.Object o)

  Specified by:
    set in interface java.util.ListIterator

### remove

    public void remove()

  Specified by:
    remove in interface java.util.ListIterator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD